# Foundation Design System
Foundation Design System is a collection of design tokens, components and guidelines for building cohesive UI systems within parts of [Envato](https://envato.com).

This project is based off of Salesforce's [theo](https://github.com/salesforce-ux/theo).

***

**Status:** Work in Progress.

***

### Developer Setup

Clone the repository:
```sh
git clone git@github.com:envato/foundation-design-system.git
```
Install dependencies:
```sh
$ npm i
```
Watch (and automatically build):
```sh
$ gulp watch
```

Notes for developing style guide sites:

The custom css for the style guide is located at `sites/app/app.scss` and will be build into `sites/app/app.css`, we use this file to apply custom style on style guide.

### Deploying Design System Demo Sites

```sh
$ npm run deploy
```

### Publishing a new version

* Bump the version in `package.json` (make sure you follow [semantic versioning rules](https://docs.npmjs.com/getting-started/semantic-versioning)):
```sh
$ npm version major|minor|patch
```
* Follow [the instructions for Changelog writing](http://keepachangelog.com/en/0.3.0/) and describe the changes in [CHANGELOG.md](CHANGELOG.md)
* Create a corresponding [release notes](https://github.com/envato/foundation-design-system/releases) (same as `CHANGELOG.md`):
* Publish to npm
```sh
npm publish
```

:tada:

### Usage
Find complete usage instructions in [How to Use page](HOW_TO_USE.md).

### Guide for creating Design Tokens
Read about creating Design Tokens [here](CREATING_DESIGN_TOKENS.md).

### Maintainers
* [Fraser Xu](https://github.com/fraserxu)
* [István Huszár](https://github.com/khayman)
* [Jordan Lewis](https://github.com/jordanlewiz)
* [Karolina Szczur](https://github.com/thefoxis)
* [Paweł Gałązka](https://github.com/pawelgalazka)

### Code of Conduct
This project adheres to the Contributor Covenant [Code Of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [market-foundation-dev@envato.com](mailto:market-foundation-dev@envato.com).

### License
[MIT](LICENSE)
